#pragma once
#ifndef TCPIPINFO_H
#define TCPIPINFO_H

#include <string>

#if defined(_MSC_VER) || defined(__MINGW32__)
#ifndef WIN32_LEAN_AND_MEAN
#define WIN32_LEAN_AND_MEAN
#endif
#include <winsock2.h>
#else
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#endif

class tcpipInfo 
{
public:
    tcpipInfo();

public:
    void reset();
    void parse();

public:
    std::string data;
    std::string version;
    std::string ip;
    unsigned short port;
    std::string mac;
};

#endif
